import { UserConfig } from 'vitepress'
import { Config } from '../config'
declare const config: UserConfig<Config>
export default config
export interface Article {
  regularPath: string
  frontMatter: {
    description: string
    date: string
    title: string
    tags: Array<string>
  }
}
export type Post = {
  frontMatter: {
    date: string
    title: string
    category: string
    tags: string[]
    description: string
  }
  regularPath: string
}
export interface HomeConfig {
  headline: string //大标题
  headlineHeight: string //大标题高亮
  subheading: string //小标题
  subheadingHeight: string //小标题高亮
  description: string //描述
}

export interface NavItem {
  text: string
  link: string
  icon?: string
}
export interface FooterConfig {
  copyright: string
}
