import 'normalize.css/normalize.css'
import './styles/variables.css'
import './styles/switch.css'
import './styles/custom.css'
import './styles/theme.css'
import Layout from './components/Layout.vue'
import Search from './components/Search.vue'
import Archives from './components/Archives.vue'
import Home from './components/Home.vue'
import DefaultPage from './components/DefaultPage.vue'
import CategoryPage from './components/CategoryPage.vue'
import { Theme } from 'vitepress'
import { withConfigProvider } from './composables/config'

const CustomTheme: Theme = {
  Layout: withConfigProvider(Layout),
  NotFound: () => 'custom 404',
  enhanceApp({ app }) {
    app.component('Search', Search)
    app.component('Archives', Archives)
    app.component('Home', Home)
    app.component('DefaultPage', DefaultPage)
    app.component('CategoryPage', CategoryPage)
  }
}

export { CustomTheme }
export type { Config } from './config'
